Bug 1302583 - [abrt] python-celery: transport.py:95:__init__:error: [Errno 111] Connection refused
[abrt] python-celery: transport.py:95:__init__:error: [Errno 111] Connection ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-celery (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5bdfd70d25ec115b0ebb504d4d9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 03:33 EST by Jiri Popelka
Modified: 2016-12-20 13:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:15:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.41 KB, text/plain)
2016-01-28 03:33 EST, Jiri Popelka
no flags Details
File: dso_list (65 bytes, text/plain)
2016-01-28 03:33 EST, Jiri Popelka
no flags Details
File: environ (4.10 KB, text/plain)
2016-01-28 03:33 EST, Jiri Popelka
no flags Details

  None (edit)
Description Jiri Popelka 2016-01-28 03:33:06 EST
Description of problem:
# celery amqp help

Version-Release number of selected component:
python-celery-3.1.9-4.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/bin/celery amqp help
executable:     /usr/bin/celery
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
transport.py:95:__init__:error: [Errno 111] Connection refused

Traceback (most recent call last):
  File "/usr/bin/celery", line 9, in <module>
    load_entry_point('celery==3.1.9', 'console_scripts', 'celery')()
  File "/usr/lib/python2.7/site-packages/celery/__main__.py", line 30, in main
    main()
  File "/usr/lib/python2.7/site-packages/celery/bin/celery.py", line 80, in main
    cmd.execute_from_commandline(argv)
  File "/usr/lib/python2.7/site-packages/celery/bin/celery.py", line 768, in execute_from_commandline
    super(CeleryCommand, self).execute_from_commandline(argv)))
  File "/usr/lib/python2.7/site-packages/celery/bin/base.py", line 308, in execute_from_commandline
    return self.handle_argv(self.prog_name, argv[1:])
  File "/usr/lib/python2.7/site-packages/celery/bin/celery.py", line 760, in handle_argv
    return self.execute(command, argv)
  File "/usr/lib/python2.7/site-packages/celery/bin/celery.py", line 692, in execute
    ).run_from_argv(self.prog_name, argv[1:], command=argv[0])
  File "/usr/lib/python2.7/site-packages/celery/bin/base.py", line 312, in run_from_argv
    sys.argv if argv is None else argv, command)
  File "/usr/lib/python2.7/site-packages/celery/bin/base.py", line 374, in handle_argv
    return self(*args, **options)
  File "/usr/lib/python2.7/site-packages/celery/bin/base.py", line 271, in __call__
    ret = self.run(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/celery/bin/amqp.py", line 362, in run
    return AMQPAdmin(*args, **options).run()
  File "/usr/lib/python2.7/site-packages/celery/bin/amqp.py", line 327, in run
    shell = self.Shell(connect=self.connect, out=self.out)
  File "/usr/lib/python2.7/site-packages/celery/bin/amqp.py", line 190, in __init__
    self._reconnect()
  File "/usr/lib/python2.7/site-packages/celery/bin/amqp.py", line 298, in _reconnect
    self.conn = self.connect(self.conn)
  File "/usr/lib/python2.7/site-packages/celery/bin/amqp.py", line 322, in connect
    conn.connect()
  File "/usr/lib/python2.7/site-packages/kombu/connection.py", line 237, in connect
    return self.connection
  File "/usr/lib/python2.7/site-packages/kombu/connection.py", line 741, in connection
    self._connection = self._establish_connection()
  File "/usr/lib/python2.7/site-packages/kombu/connection.py", line 696, in _establish_connection
    conn = self.transport.establish_connection()
  File "/usr/lib/python2.7/site-packages/kombu/transport/pyamqp.py", line 116, in establish_connection
    conn = self.Connection(**opts)
  File "/usr/lib/python2.7/site-packages/amqp/connection.py", line 165, in __init__
    self.transport = self.Transport(host, connect_timeout, ssl)
  File "/usr/lib/python2.7/site-packages/amqp/connection.py", line 186, in Transport
    return create_transport(host, connect_timeout, ssl)
  File "/usr/lib/python2.7/site-packages/amqp/transport.py", line 299, in create_transport
    return TCPTransport(host, connect_timeout)
  File "/usr/lib/python2.7/site-packages/amqp/transport.py", line 95, in __init__
    raise socket.error(last_err)
error: [Errno 111] Connection refused

Local variables in innermost frame:
exc: error(111, 'Connection refused')
af: 2
canonname: ''
self: <amqp.transport.TCPTransport object at 0x7fd830160390>
proto: 6
m: None
connect_timeout: 4
msg: error(111, 'Connection refused')
host: '127.0.0.1'
last_err: error(111, 'Connection refused')
res: (2, 1, 6, '', ('127.0.0.1', 5672))
socktype: 1
sa: ('127.0.0.1', 5672)
port: 5672
Comment 1 Jiri Popelka 2016-01-28 03:33:12 EST
Created attachment 1119067 [details]
File: backtrace
Comment 2 Jiri Popelka 2016-01-28 03:33:14 EST
Created attachment 1119068 [details]
File: dso_list
Comment 3 Jiri Popelka 2016-01-28 03:33:15 EST
Created attachment 1119069 [details]
File: environ
Comment 4 Jiri Popelka 2016-01-28 03:36:20 EST
It's been caused by no amqp running on localhost,
but I'd rather see something better then this backtrace.
Comment 5 Fedora End Of Life 2016-11-24 10:14:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 13:15:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.